## tracker-priority-queue tracker-priority-queue |

## Functions

TrackerPriorityQueue * | tracker_priority_queue_new ()
TrackerPriorityQueue * | tracker_priority_queue_ref ()
void | tracker_priority_queue_unref ()
gboolean | tracker_priority_queue_is_empty ()
guint | tracker_priority_queue_get_length ()
GList * | tracker_priority_queue_add ()
void | tracker_priority_queue_foreach ()
gboolean | tracker_priority_queue_foreach_remove ()
gpointer | tracker_priority_queue_find ()
gpointer | tracker_priority_queue_peek ()
gpointer | tracker_priority_queue_pop ()
GList * | tracker_priority_queue_get_head ()
void | tracker_priority_queue_add_node ()
void | tracker_priority_queue_remove_node ()
GList * | tracker_priority_queue_pop_node ()

## Types and Values

| TrackerPriorityQueue

## Description

## Functions

### tracker_priority_queue_new ()

    TrackerPriorityQueue *
    tracker_priority_queue_new (void);

### tracker_priority_queue_ref ()

    TrackerPriorityQueue *
    tracker_priority_queue_ref (TrackerPriorityQueue *queue);

### tracker_priority_queue_unref ()

    void
    tracker_priority_queue_unref (TrackerPriorityQueue *queue);

### tracker_priority_queue_is_empty ()

    gboolean
    tracker_priority_queue_is_empty (TrackerPriorityQueue *queue);

### tracker_priority_queue_get_length ()

    guint
    tracker_priority_queue_get_length (TrackerPriorityQueue *queue);

### tracker_priority_queue_add ()

    GList *
    tracker_priority_queue_add (TrackerPriorityQueue *queue,
                                gpointer data,
                                gint priority);

### tracker_priority_queue_foreach ()

    void
    tracker_priority_queue_foreach (TrackerPriorityQueue *queue,
                                    GFunc func,
                                    gpointer user_data);

### tracker_priority_queue_foreach_remove ()

    gboolean
    tracker_priority_queue_foreach_remove (TrackerPriorityQueue *queue,
                                           GEqualFunc compare_func,
                                           gpointer compare_user_data,
                                           GDestroyNotify destroy_notify);

### tracker_priority_queue_find ()

    gpointer
    tracker_priority_queue_find (TrackerPriorityQueue *queue,
                                 gint *priority_out,
                                 GEqualFunc compare_func,
                                 gpointer data);

### tracker_priority_queue_peek ()

    gpointer
    tracker_priority_queue_peek (TrackerPriorityQueue *queue,
                                 gint *priority_out);

### tracker_priority_queue_pop ()

    gpointer
    tracker_priority_queue_pop (TrackerPriorityQueue *queue,
                                gint *priority_out);

### tracker_priority_queue_get_head ()

    GList *
    tracker_priority_queue_get_head (TrackerPriorityQueue *queue);

### tracker_priority_queue_add_node ()

    void
    tracker_priority_queue_add_node (TrackerPriorityQueue *queue,
                                     GList *node,
                                     gint priority);

### tracker_priority_queue_remove_node ()

    void
    tracker_priority_queue_remove_node (TrackerPriorityQueue *queue,
                                        GList *node);

### tracker_priority_queue_pop_node ()

    GList *
    tracker_priority_queue_pop_node (TrackerPriorityQueue *queue,
                                     gint *priority_out);

## Types and Values

### TrackerPriorityQueue

    typedef struct _TrackerPriorityQueue TrackerPriorityQueue;